- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::TypeInfo Class Reference

Type information lookup functions. Implemented as a static class. More...

`#include <types.hpp>`

Collaboration diagram for Exiv2::TypeInfo:

[legend]
List of all members.

## Static Public Member Functions
static const char * | typeName (TypeId typeId)
| Return the name of the type.
static TypeId | typeId (const std::string &typeName)
| Return the type id for a type name.
static long | typeSize (TypeId typeId)
| Return the size in bytes of one element of this type.

## Detailed Description

Type information lookup functions. Implemented as a static class.

The documentation for this class was generated from the following files:

- types.hpp
- types.cpp